Seedanceマテリアルアセットグループを削除
curl --request DELETE \
--url https://api.tokenlab.sh/v1/videos/assets/groups/{groupId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tokenlab.sh/v1/videos/assets/groups/{groupId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tokenlab.sh/v1/videos/assets/groups/{groupId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"deleted": true,
"id": "group-20260720123456-vrt01"
}{
"error": {
"message": "Invalid API key provided",
"type": "invalid_api_key"
}
}{
"error": {
"message": "API key not found",
"type": "invalid_request_error"
}
}{
"error": {
"message": "An internal error occurred",
"type": "server_error"
}
}{
"error": {
"message": "Seedance material library request failed",
"type": "server_error",
"code": "seedance_material_library_request_failed"
}
}ビデオと素材
マテリアルアセットグループの削除
現在の組織が所有するSeedanceマテリアルグループを削除します。
DELETE
/
v1
/
videos
/
assets
/
groups
/
{groupId}
Seedanceマテリアルアセットグループを削除
マテリアルグループおよびその内部にあるTokenLabマテリアルアセットを削除します。この操作は取り消すことができません。
現在の認証状態が許可されていないためにTokenLabマテリアルライブラリが削除を完了できない場合、TokenLabはニュートラルなマテリアルライブラリエラーを返します。削除後、そのグループおよびアセットは動画生成に使用できなくなります。
project_name は認証済み組織内のリソースを分離します。デフォルトは default です。関連するグループと素材には、大文字と小文字を区別した同じ値を使用してください。POST/PUT では JSON ボディ、GET/DELETE ではクエリに指定します。
リクエスト例
curl "https://api.tokenlab.sh/v1/videos/assets/groups/group-20260720123456-vrt01?project_name=default" \
-X DELETE \
-H "Authorization: Bearer $TOKENLAB_API_KEY"
レスポンス例
{
"deleted": true,
"id": "group-20260720123456-vrt01"
}